Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.rendered
Class AffineRed

    java.lang.Object
      org.apache.batik.ext.awt.image.rendered.AbstractRed
          org.apache.batik.ext.awt.image.rendered.AffineRed

All Implemented Interfaces:
  RenderedImage, CachableRed

    public class AffineRed

extends AbstractRed

This is an implementation of an affine operation as a RenderedImage. Right now the implementation makes use of the AffineBufferedImageOp to do the work. Eventually this may move to be more tiled in nature.

Field Summary

Fields inherited from class org.apache.batik.ext.awt.image.rendered.AbstractRed
`bounds, cm, minTileX, minTileY, numXTiles, numYTiles, props, sm, srcs, tileGridXOff, tileGridYOff, tileHeight, tileWidth`

Constructor Summary
`AffineRed(CachableRed src, AffineTransform src2me, RenderingHints hints)`

Method Summary
`WritableRaster` | `copyData(WritableRaster wr)`
`protected static ColorModel` | `fixColorModel(CachableRed src)`
`protected SampleModel` | `fixSampleModel(CachableRed src, ColorModel cm, Rectangle bounds)` This function 'fixes' the source's sample model.
`void` | `genRect(WritableRaster wr)`
`CachableRed` | `getSource()`
`Raster` | `getTile(int x, int y)`
`AffineTransform` | `getTransform()`

Methods inherited from class org.apache.batik.ext.awt.image.rendered.AbstractRed
`copyBand, copyToRaster, getBounds, getColorModel, getData, getData, getDependencyRegion, getDirtyRegion, getHeight, getMinTileX, getMinTileY, getMinX, getMinY, getNumXTiles, getNumYTiles, getProperty, getPropertyNames, getSampleModel, getSources, getTileGridXOffset, getTileGridYOffset, getTileHeight, getTileWidth, getWidth, getXTile, getYTile, init, init, makeTile, updateTileGridInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AffineRed

    public AffineRed(CachableRed src,
                     AffineTransform src2me,
                     RenderingHints hints)

Method Detail

### getTransform

    public AffineTransform getTransform()

### getSource

    public CachableRed getSource()

### copyData

    public WritableRaster copyData(WritableRaster wr)

### getTile

    public Raster getTile(int x,
                          int y)

  Specified by:
    `getTile` in interface `RenderedImage`
  Overrides:
    `getTile` in class `AbstractRed`

### genRect

    public void genRect(WritableRaster wr)

### fixColorModel

    protected static ColorModel fixColorModel(CachableRed src)

### fixSampleModel

    protected SampleModel fixSampleModel(CachableRed src,
                                         ColorModel cm,
                                         Rectangle bounds)

  This function 'fixes' the source's sample model. right now it just ensures that the sample model isn't much larger than my width.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.